package com.iamberry.wechat.face.coupon;

import com.iamberry.wechat.core.entity.welfare.UserAmount;
import com.iamberry.wechat.core.entity.welfare.UserAmountLogs;
import com.iamberry.wechat.core.entity.welfare.UserAtLogs;
import com.iamberry.wechat.core.entity.welfare.WelfareLogs;

import java.util.List;

/**
 * @author root
 */
public interface WelfareService {

    WelfareLogs get(String openid);

    int draw(String openId);

    int drawShareCoupon(String couponId, String openid);

    int useCoupon(String openid, String orderId, String couponId);

    int enter(UserAmountLogs logs);

    UserAmount getAmount(String openid);

    List<UserAmountLogs> listAmount(UserAmountLogs userAmountLogs);

    List<UserAtLogs> listAt(UserAtLogs data);

    int addAt(UserAtLogs userAtLogs);
}
